Name:          libupnp
Version:       1.14.4
Release:       1mamba
Summary:       Universal Plug and Play (UPnP) SDK
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Automatic Build System <autodist@mambasoft.it>
URL:           https://pupnp.sourceforge.net/
Source:        http://downloads.sourceforge.net/pupnp/libupnp-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
The Universal Plug and Play (UPnP) SDK for Linux provides support for building UPnP-compliant control points, devices, and bridges on Linux.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This package contains the header files, static libraries and development documentation for %{name}. If you like to develop programs using %{name}, you will need to install %{name}-devel.


%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libixml.so.*
%{_libdir}/libupnp.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/upnp
%{_includedir}/upnp/*.h
%{_libdir}/libixml.a
%{_libdir}/libixml.la
%{_libdir}/libixml.so
%{_libdir}/libupnp.a
%{_libdir}/libupnp.la
%{_libdir}/libupnp.so
%{_libdir}/pkgconfig/libupnp.pc
%doc ChangeLog THANKS

%changelog
* Tue Mar 30 2021 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Mon Mar 01 2021 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Wed Feb 10 2021 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Mon Oct 05 2020 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Tue Mar 13 2018 Automatic Build System <autodist@mambasoft.it> 1.6.25-1mamba
- automatic version update by autodist

* Tue Jan 02 2018 Automatic Build System <autodist@mambasoft.it> 1.6.24-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 1.6.22-1mamba
- automatic version update by autodist

* Sun Mar 05 2017 Automatic Build System <autodist@mambasoft.it> 1.6.21-1mamba
- automatic version update by autodist

* Mon Aug 08 2016 Automatic Build System <autodist@mambasoft.it> 1.6.20-1mamba
- automatic version update by autodist

* Sun Nov 17 2013 Automatic Build System <autodist@mambasoft.it> 1.6.19-1mamba
- automatic version update by autodist

* Thu Jan 31 2013 Automatic Build System <autodist@mambasoft.it> 1.6.18-1mamba
- automatic version update by autodist

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.6.17-1mamba
- automatic version update by autodist

* Mon Feb 21 2011 Automatic Build System <autodist@mambasoft.it> 1.6.12-1mamba
- automatic update by autodist

* Sun Dec 19 2010 Automatic Build System <autodist@mambasoft.it> 1.6.10-1mamba
- automatic update by autodist

* Fri Nov 12 2010 Automatic Build System <autodist@mambasoft.it> 1.6.9-1mamba
- automatic update by autodist

* Tue Oct 12 2010 Automatic Build System <autodist@mambasoft.it> 1.6.7-1mamba
- automatic update by autodist

* Thu Aug 21 2008 gil <puntogil@libero.it> 1.6.6-1mamba
- package created by autospec
